IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_RULEPARAMCONFIG') 
 CREATE TABLE T_EB_RULEPARAMCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FCALCSWITCH CHAR(1) NOT NULL DEFAULT '1',
FPAGESIZE INT DEFAULT 0 NOT NULL,
FBATCHSWITCH CHAR(1) NOT NULL DEFAULT '0',
FBATCHSIZE INT DEFAULT 0 NOT NULL
);

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_RULEPARAMCONFIG')
CREATE INDEX IDX_EB_RULEPARAMCONFIG ON T_EB_RULEPARAMCONFIG (
FMODELID ASC
);
